Skip to main content
GET
/
api
/
deposit
/
show
Show Deposit with Supporting Trans
curl --request GET \
  --url https://app.dimepayments.com/api/deposit/show \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": []
}'
{
  "data": {
    "sid": "XXXXX",
    "transaction_info_id": "983999999",
    "transaction_id": "382",
    "transaction_date": "2024-05-01T04:00:00.000000Z",
    "fund_date": "2024-05-01 02:20:35",
    "type": "withdraw_funds",
    "countOfTransactions": 3,
    "transTotal": "545.98",
    "transactions": [
      {
        "transaction_type": "ACH",
        "transaction_status": "ACH_PAYMENT_CREDIT",
        "transaction_status_description": "Successfully completed ACH Payment that has been posted to the Escrow Account.",
        "transaction_number": "369",
        "transaction_date": "2024-04-29T08:30:25.000000Z",
        "fund_date": "2024-04-30T20:05:21.000000Z",
        "settle_date": "2024-04-29T17:51:02.000000Z",
        "amount": "369.0000",
        "description": "",
        "status_code": "",
        "status_text": "",
        "email": "",
        "phone": "",
        "customer_uuid": "",
        "multi_use_token": "",
        "pending": false,
        "transaction_info_id": "123123212312",
        "parent_transaction_info_id": "123123212314",
        "billing_address": {
          "first_name": null,
          "last_name": null,
          "addr1": null,
          "addr2": null,
          "city": null,
          "state": null,
          "zip": null
        }
      },
      {
        "transaction_type": "CC",
        "transaction_status": "CC_CREDIT",
        "transaction_status_description": "Successful credit/debit card transaction that brings funds into the ProPay Account.",
        "transaction_number": "1919162951",
        "transaction_date": "2024-04-29T08:37:29.000000Z",
        "fund_date": "2024-04-30T20:05:22.000000Z",
        "settle_date": "2024-05-07T11:30:03.000000Z",
        "amount": "103.0800",
        "description": "",
        "status_code": "",
        "status_text": "",
        "email": "",
        "phone": "",
        "customer_uuid": "",
        "multi_use_token": "",
        "pending": false,
        "transaction_info_id": "123123212312",
        "parent_transaction_info_id": "123123212314",
        "billing_address": {
          "first_name": null,
          "last_name": null,
          "addr1": null,
          "addr2": null,
          "city": null,
          "state": null,
          "zip": null
        }
      },
      {
        "transaction_type": "CC",
        "transaction_status": "CC_CREDIT",
        "transaction_status_description": "Successful credit/debit card transaction that brings funds into the ProPay Account.",
        "transaction_number": "1920383851",
        "transaction_date": "2024-04-29T11:52:43.000000Z",
        "fund_date": "2024-04-30T20:05:22.000000Z",
        "settle_date": "2024-05-07T11:30:03.000000Z",
        "amount": "82.5200",
        "description": "",
        "status_code": "",
        "status_text": "",
        "email": "",
        "phone": "",
        "customer_uuid": "",
        "multi_use_token": "",
        "pending": false,
        "transaction_info_id": "123123212314",
        "billing_address": {
          "first_name": null,
          "last_name": null,
          "addr1": null,
          "addr2": null,
          "city": null,
          "state": null,
          "zip": null
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.

Body

application/json
data
object
required
Example:
[]

Response

Successful Transaction

data
object